apiVersion: batch/v1
kind: CronJob
metadata:
  name: ns-conf-cron
spec:
  schedule: "*/5 * * * *"
  concurrencyPolicy: Forbid
  successfulJobsHistoryLimit: 3
  failedJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          serviceAccountName: ns-conf
          containers:
          - name: ns-conf
            image: docker-images.jobtechdev.se/ns-conf/ns-conf:latest
            imagePullPolicy: IfNotPresent
            securityContext:
              readOnlyRootFilesystem: true
            resources:
              limits:
                cpu: "100m"
                memory: "64Mi"
              requests:
                cpu: "100m"
                memory: "64Mi"
            command:
            - "ns-conf"
            - "apply"
            - "--input_file=/config/namespaces.yaml"
            volumeMounts:
            - name: config
              mountPath: /config
          securityContext:
            runAsNonRoot: true
          restartPolicy: OnFailure
          volumes:
          - name: config
            configMap:
              name: namespaces
